org.vishia.gral.swt

## Class SwtGridPanel

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralPanelContent.ImplAccess
    - - org.vishia.gral.swt.SwtPanel
      - - org.vishia.gral.swt.SwtCanvasStorePanel
        - - org.vishia.gral.swt.SwtGridPanel

- All Implemented Interfaces:
    GralWidgImpl_ifc

      public class SwtGridPanel
      extends SwtCanvasStorePanel

  This is a org.eclipse.swt.widgets.Composite. It can contain some GUI-Elements like Button, Text, Label, Table etc from org.eclipse.swt.widgets. But additional a grid is shown as background. This class is imaginary for the `SwtMng` to show the grid for positions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SwtGridPanel.SwtCanvasGridPanel`

    - ### Nested classes/interfaces inherited from class org.vishia.gral.swt.SwtCanvasStorePanel

      `SwtCanvasStorePanel.SwtCanvas, SwtCanvasStorePanel.SwtPolyLine`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `static java.lang.String` | `sVersion` Version, history and license.
    `(package private) int` | `xG`
    `(package private) int` | `xS`
    `(package private) int` | `yG`
    `(package private) int` | `yS`

    - ### Fields inherited from class org.vishia.gral.swt.SwtCanvasStorePanel

      `currColor, swtCanvas`

    - ### Fields inherited from class org.vishia.gral.swt.SwtPanel

      `itsTabSwt, panelComposite, resizeItemListener, version`

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtGridPanel(GralPanelContent panelg, org.eclipse.swt.widgets.Composite xxxparent, int style, org.eclipse.swt.graphics.Color backGround, int xG, int yG, int xS, int yS, GralMng gralMng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setGridWidth(int xG, int yG, int xS, int yS)`
    `(package private) void` | `stop()`

    - ### Methods inherited from class org.vishia.gral.swt.SwtCanvasStorePanel

      `getWidgetImplementation, setFocusGThread, xxxsetForeground`

    - ### Methods inherited from class org.vishia.gral.swt.SwtPanel

      `getPixelPositionSize, getPixelSize, remove, removeWidgetImplementation, repaintGthread, setBoundsPixel, setVisibleGThread`

    - ### Methods inherited from class org.vishia.gral.base.GralPanelContent.ImplAccess

      `gralPanel`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sVersion

          public static final java.lang.String sVersion

      Version, history and license.
      - 2016-09-02 Hartmut chg: `SwtGridPanel(GralPanelContent, Composite, int, Color, int, int, int, int, GralMng)` is no more invoked with a parent but the parent is gotten by itself in the constructor from the pos().panel. Reason: The panel maybe set only after construction of the `GralWidget.ImplAccess`. It is not known before.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### xG

          int xG

    - #### yG

          int yG

    - #### xS

          int xS

    - #### yS

          int yS

  - ### Constructor Detail

    - #### SwtGridPanel

          public SwtGridPanel(GralPanelContent panelg,
                              org.eclipse.swt.widgets.Composite xxxparent,
                              int style,
                              org.eclipse.swt.graphics.Color backGround,
                              int xG,
                              int yG,
                              int xS,
                              int yS,
                              GralMng gralMng)

  - ### Method Detail

    - #### setGridWidth

          public void setGridWidth(int xG,
                                   int yG,
                                   int xS,
                                   int yS)

    - #### stop

          void stop()

      Overrides:
        `stop` in class `SwtCanvasStorePanel`